@extends("template.layouts.simple.master")
@section("style")
@endsection
@section('content')
    <div class="page-body">
        @include("master.notification")
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-12">
                    <div class="card">
                        @can("search user")
                            <div class="card-header">
                                <form action="{{route("users-searching")}}" method="post">
                                    @csrf
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <label for="">Select User</label>
                                            <select name="users" id="users" class="form-select">
                                                <option value=""></option>
                                                @foreach($users as $u)
                                                    <option value="{{$u->id}}"
                                                            @if($id == $u->id) selected @endif>{{$u->name}}
                                                        ({{$u->code}})
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-sm-1 mt-4">
                                            <button class="btn-primary btn ">
                                                Search
                                            </button>
                                        </div>
                                    </div>
                                </form>

                            </div>
                        @endcan
                    </div>
                </div>
                <input type="text" class="main_user_id d-none" value="{{$id}}">
                <div class="col-sm-12 all_form_con">
                    <div class="card">
                        <div class="card-body">
                            @if($key == 1 or $key ==0)

                                <div class="basic_info_con">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Basic Infomation
                                            <i class="fa fa-edit fw-bold basic_info_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("users-basic-info-store")}}" method="post"
                                          enctype="multipart/form-data">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Country</label>
                                                <input type="text" name="country" class="form-control"
                                                       value="{{(isset($user_details->country)) ? $user_details->country : old("country")}}">
                                                @error('country')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6 d-none">
                                                <label for="">Nick Name</label>
                                                <input type="text" name="nick_name" class="form-control"
                                                       value="{{(isset($user_details->nick_name)) ? $user_details->nick_name : old("nick_name")}}">
                                                @error('nick_name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Gender</label>
                                                <select name="gender" class="form-select" id=""
                                                        value="{{old('gender')}}">
                                                    @php
                                                        $male = "";
                                                        $female = "";
                                                        $other = "";
                                                        if(isset($user_details->gender) and $user_details->gender == "Male"){
                                                            $male = "selected";
                                                        }elseif(isset($user_details->gender) and $user_details->gender == "Female"){
                                                            $female = "selected";
                                                        }elseif(isset($user_details->gender) and $user_details->gender == "Other"){
                                                            $other = "selected";
                                                        }
                                                    @endphp
                                                    <option value=""></option>
                                                    <option value="Male" {{$male}}>Male</option>
                                                    <option value="Female" {{$female}}>Female</option>
                                                    <option value="Other" {{$other}}>Other</option>
                                                </select>
                                                @error('gender')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Name</label>
                                                <input type="text" name="name" class="form-control"
                                                       value="{{(isset($user_details->name)) ? $user_details->name : old("name")}}">
                                                @error('name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Email</label>
                                                <input type="email" name="email" class="form-control"
                                                       value="{{(isset($user_details->email)) ? $user_details->email : old("email")}}">
                                                @error('email')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Password</label>
                                                <input type="text" name="password" class="form-control"
                                                       value="{{isset($user_details->password2) ? $user_details->password2: old('password')}}">
                                                @error('password')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Mobile No.</label>
                                                <input type="text" name="mobile_no" class="form-control"
                                                       value="{{(isset($user_details->mobile_no)) ? $user_details->mobile_no : old("mobile_no")}}">
                                                @error('mobile_no')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Role</label>
                                                <select name="role" class="form-select" id="" value="{{old('role')}}">
                                                    <option value=""></option>
                                                    @foreach($roles as $r)
                                                        <option value="{{$r->name}}"
                                                                @if(isset($role_name[0]) and $role_name[0] == $r->name)
                                                                    selected
                                                            @endif>{{$r->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('role')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="">Upload Photo</label>
                                                <input type="file" name="image" class="form-control">
                                                @error('image')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                        </div>
                                    </form>

                                </div>

                                <hr>
                            @endif
                            @if($key == 2 or $key ==0)

                                <div class="personal_info_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Personal Infomation
                                            <i class="fa fa-edit fw-bold personal_info_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("users-personal-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>

                                            <div class="col-sm-2">
                                                <label for="">DOB</label>
                                                <input type="date" name="dob" class="form-control"
                                                       value="{{(isset($personal_details->dob)) ? $personal_details->dob : old("dob")}}">
                                                @error('dob')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Blood Group</label>
                                                <select id="bloodGroup" class="form-select" name="blood_group"
                                                        value="{{old("dob")}}">
                                                    <option></option>
                                                    @foreach($blood_groups as $b)
                                                        <option value="{{$b->id}}"
                                                                @if(isset($personal_details->blood_group) and  $personal_details->blood_group == $b->id)
                                                                    selected
                                                            @endif>{{$b->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('blood_group')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-3">
                                                <label for="">Father's Name</label>
                                                <input type="text" name="father_name" class="form-control"
                                                       value="{{(isset($personal_details->fathers_name)) ? $personal_details->fathers_name : old("father_name")}}">
                                                @error('father_name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Marital Status</label>
                                                <select name="marital_status" class="form-select" id="marital_status"
                                                        value="{{old("marital_status")}}">
                                                    @php
                                                        $married = "";
                                                        $Separated = "";
                                                        $Single = "";
                                                        $Widowed = "";
                                                        if(isset($personal_details->marital_status) and $personal_details->marital_status == 1){
                                                            $married = "selected";
                                                        }elseif(isset($personal_details->marital_status) and $personal_details->marital_status == 2){
                                                            $Separated = "selected";
                                                        }elseif(isset($personal_details->marital_status) and $personal_details->marital_status == 3){
                                                            $Single = "selected";
                                                        }elseif(isset($personal_details->marital_status) and $personal_details->marital_status == 4){
                                                            $Widowed = "selected";
                                                        }
                                                    @endphp
                                                    <option value=""></option>
                                                    <option value="1" {{$married}}>Married</option>
                                                    <option value="2" {{$Separated}}>Separated</option>
                                                    <option value="3" {{$Single}}>Single</option>
                                                    <option value="4" {{$Widowed}}>Widowed</option>
                                                </select>
                                                @error('marital_status')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-3 @if((isset($personal_details->marital_status) and $personal_details->marital_status != 1 ) or empty($personal_details->marital_status))
                                            d-none
                                            @endif">
                                                <label for=""> Marriage Date</label>
                                                <input type="date" name="marriage_date" id="marriage_date"
                                                       class="form-control"
                                                       value="{{(isset($personal_details->marriage_date)) ? $personal_details->marriage_date : old("marriage_date")}}">
                                                @error('marriage_date')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 @if((isset($personal_details->marital_status) and $personal_details->marital_status != 1) or empty($personal_details->marital_status))
                                            d-none
                                            @endif">
                                                <label for="">Spouse Name</label>
                                                <input type="text" name="spouse_name" id="spouse_name"
                                                       class="form-control"
                                                       value="{{(isset($personal_details->spouse_name)) ? $personal_details->spouse_name : old("spouse_name")}}">
                                                @error('spouse_name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>


                                            <div class="col-sm-2">
                                                <label for="">Residential Status</label>
                                                <select name="residential_status" class="form-select" id="">
                                                    <option value=""></option>
                                                    @php
                                                        $non_resident = "";
                                                        $resident = "";
                                                        $Single = "";
                                                        $Widowed = "";
                                                        if(isset($personal_details->residential_status) and $personal_details->residential_status == 1){
                                                            $non_resident = "selected";
                                                        }elseif(isset($personal_details->residential_status) and $personal_details->residential_status == 2){
                                                            $resident = "selected";
                                                        }
                                                    @endphp
                                                    <option value="1" {{$non_resident}}>Non-Resident</option>
                                                    <option value="2" {{$resident}}>Resident</option>
                                                </select>
                                                @error('residential_status')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Place Of Birth</label>
                                                <input type="text" name="place_of_birth" class="form-control"
                                                       value="{{(isset($personal_details->place_of_birth)) ? $personal_details->place_of_birth : old("place_of_birth")}}">
                                                @error('place_of_birth')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-4 d-none">
                                                <label for="">Country Of Origin</label>
                                                <select name="country_of_origin" class="form-select" id="">
                                                    <option value=""></option>
                                                    <option value="India" selected>India</option>
                                                </select>
                                                @error('country_of_origin')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Religion</label>
                                                <select name="religion" class="form-select" id="">
                                                    <option value=""></option>
                                                    @php
                                                        $hindu = "";
                                                        $muslim = "";
                                                        $sikh = "";
                                                        $christian = "";
                                                        if(isset($personal_details->religion) and $personal_details->religion == "hindu"){
                                                            $hindu = "selected";
                                                        }elseif(isset($personal_details->religion) and $personal_details->religion == "Muslim"){
                                                            $muslim = "selected";
                                                        }elseif(isset($personal_details->religion) and $personal_details->religion == "sikh"){
                                                            $sikh = "selected";
                                                        }elseif(isset($personal_details->religion) and $personal_details->religion == "christian"){
                                                            $christian = "selected";
                                                        }
                                                    @endphp
                                                    <option value="hindu" {{$hindu}}>Hindu</option>
                                                    <option value="Muslim" {{$muslim}}>Muslim</option>
                                                    <option value="sikh" {{$sikh}}>sikh</option>
                                                    <option value="christian" {{$christian}}>Christian</option>
                                                </select>
                                                @error('religion')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2 d-none">
                                                <label for="">International Employee</label>
                                                <select name="international_employee" class="form-select" id=""
                                                >
                                                    <option value=""></option>
                                                    @php
                                                        $international_yes= "";
                                                        $international_no= "";
                                                        if(isset($personal_details->international_employee) and $personal_details->international_employee == 1){
                                                            $international_yes = "selected";
                                                        }elseif(isset($personal_details->international_employee) and $personal_details->international_employee == 0){
                                                            $international_no = "selected";
                                                        }
                                                    @endphp
                                                    <option value="1" {{$international_yes }}>Yes</option>
                                                    <option value="0" {{$international_no}}>No</option>
                                                </select>
                                                @error('international_employee')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Differently Abled</label>
                                                <select name="physically_challenged" class="form-select" id=""
                                                >
                                                    <option value=""></option>
                                                    @php
                                                        $physical_yes= "";
                                                        $physical_no= "";
                                                        if(isset($personal_details->physically_challenged) and $personal_details->physically_challenged == 1){
                                                            $physical_yes = "selected";
                                                        }elseif(isset($personal_details->physically_challenged) and $personal_details->physically_challenged == 0){
                                                            $physical_no = "selected";
                                                        }
                                                    @endphp
                                                    <option value="1" {{$physical_yes}}>Yes</option>
                                                    <option value="0" {{$physical_no}}>No</option>
                                                </select>
                                                @error('physically_challenged')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2 d-none">
                                                <label for="">Is Director </label>
                                                <select name="is_director" class="form-select" id="">
                                                    <option value=""></option>
                                                    @php
                                                        $director_yes= "";
                                                        $director_no= "";
                                                        if(isset($personal_details->is_director) and $personal_details->is_director == 1){
                                                            $director_yes = "selected";
                                                        }elseif(isset($personal_details->is_director) and $personal_details->is_director == 0){
                                                            $director_no = "selected";
                                                        }
                                                    @endphp
                                                    <option value="1" {{$physical_yes }}>Yes</option>
                                                    <option value="0" {{$physical_no}}>No</option>
                                                </select>
                                                @error('is_director')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Personal Email</label>
                                                <input type="text" name="personal_email" class="form-control"
                                                       value="{{(isset($personal_details->personal_email)) ? $personal_details->personal_email : old("personal_email ")}}">
                                                @error('personal_email')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <hr>
                            @endif

                            @if($key == 3 or $key ==0)

                                <div class="joining_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Joining Details
                                            <i class="fa fa-edit fw-bold joining_details_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("users-joining-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>

                                            <div class="col-sm-3 d-none">
                                                <label for="">First Hire Date</label>
                                                <input type="date" name="first_hire_date" class="form-control"
                                                       value="{{(isset($job_details->first_hire_date)) ? $job_details->first_hire_date : old("first_hire_date")}}">
                                                @error('first_hire_date')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Confirmation Date</label>
                                                <input type="date" name="confirmation_date" class="form-control"
                                                       value="{{(isset($job_details->confirmation_date)) ? $job_details->confirmation_date : old("confirmation_date")}}">
                                                @error('confirmation_date')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Planned Join Date</label>
                                                <input type="date" name="planned_join_date" class="form-control"
                                                       value="{{(isset($job_details->planned_join_date)) ? $job_details->planned_join_date : old("planned_join_date")}}">
                                                @error('planned_join_date')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Joined On</label>
                                                <input type="date" name="joining_on" class="form-control"
                                                       value="{{(isset($job_details->joining_on)) ? $job_details->joining_on : old("joining_on")}}">
                                                @error('joining_on')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-3 d-none">
                                                <label for="">Status</label>
                                                <select name="status" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($verifications as $v)
                                                        <option value="{{$v->id}}"
                                                                @if(isset($job_details->status) and $job_details->status == $v->id) selected @endif>{{$v->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('status')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Probation Period</label>
                                                <input type="text" name="probation_period" class="form-control"
                                                       value="{{(isset($job_details->probation_period)) ? $job_details->probation_period : old("probation_period")}}">
                                                @error('probation_period')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Notice Period</label>
                                                <input type="text" name="notice_period" class="form-control"
                                                       value="{{(isset($job_details->notice_period)) ? $job_details->notice_period : old("notice_period")}}">
                                                @error('notice_period')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none ">
                                                <label for="">Current Company Experience</label>
                                                <input type="text" name="current_company_experience"
                                                       class="form-control"
                                                       value="{{(isset($job_details->current_company_experience)) ? $job_details->current_company_experience : old("current_company_experience")}}">
                                                @error('current_company_experience')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Previous Experience</label>
                                                <input type="text" name="previous_experience" class="form-control"
                                                       value="{{(isset($job_details->previous_experience)) ? $job_details->previous_experience : old("previous_experience")}}">
                                                @error('previous_experience')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-2">
                                                <label for="">Total Experience</label>
                                                <input type="text" name="total_experience" class="form-control"
                                                       value="{{(isset($job_details->total_experience)) ? $job_details->total_experience : old("total_experience")}}">
                                                @error('total_experience')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>

                                        </div>
                                    </form>
                                </div>
                                <hr>
                            @endif
                            @if($key == 4 or $key ==0)
                                <div class="current_position_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Current Position
                                            <i class="fa fa-edit fw-bold current_position_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("current-position-info-store")}}" method="post">
                                        @csrf

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Department</label>
                                                <select name="department" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($departments as $d)
                                                        <option value="{{$d->id}}"
                                                                @if(isset($job_details->master_departments_id) and $job_details->master_departments_id == $d->id)
                                                                    selected
                                                            @endif>{{$d->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('department')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Grade</label>
                                                <input type="text" name="grade" class="form-control"
                                                       value="{{(isset($job_details->grade)) ? $job_details->grade : old("grade")}}">
                                                @error('previous_experience')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Designation</label>
                                                <select name="designation" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($roles as $r)
                                                        <option value="{{$r->id}}"
                                                                @if(isset($role_name[0] ) and $role_name[0] == $r->name)
                                                                    selected
                                                            @endif>{{$r->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('designation')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Location</label>
                                                <input type="text" name="location" class="form-control"
                                                       value="{{(isset($job_details->location)) ? $job_details->location : old("location")}}">
                                                @error('location')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Level</label>
                                                <input type="text" name="level" class="form-control"
                                                       value="{{(isset($job_details->level)) ? $job_details->level : old("level")}}">
                                                @error('level')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Attendance Scheme </label>
                                                <select name="attendance_scheme" id="" class="form-select">
                                                    <option value=""></option>
                                                    @foreach($attendance_scheme as $a)
                                                        <option value="{{$a->id}}"
                                                                @if(isset($job_details->attendance_scheme) and $job_details->attendance_scheme == $a->id)
                                                                    selected
                                                            @endif>{{$a->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('attendance_scheme')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Reporting To</label>
                                                {{--                                                <input type="text" name="reporting_to" class="form-control"--}}
                                                {{--                                                       value="{{(isset($job_details->reporting_to)) ? $job_details->reporting_to : old("reporting_to")}}">--}}
                                                <select name="reporting_to" id="reporting_to" class="form-select">
                                                    <option value="">Select User</option>
                                                    @foreach($users as $u)
                                                        @php
                                                            $getRole = $u->getRoleNames()[0];
                                                        @endphp
                                                        <option value="{{$u->id}}"
                                                                @if(isset($job_details->reporting_to) and $job_details->reporting_to == $u->id) selected @endif>{{$u->name}}
                                                            <span class="fw-bold">({{$getRole}})</span></option>
                                                    @endforeach
                                                </select>
                                                @error('reporting_to')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Company</label>
                                                <input type="text" name="company" class="form-control"
                                                       value="{{(isset($job_details->company)) ? $job_details->company : old("company")}}">
                                                @error('company')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Function</label>
                                                <input type="text" name="function" class="form-control"
                                                       value="{{(isset($job_details->function)) ? $job_details->function : old("function")}}">
                                                @error('function')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">OT Applicable</label>
                                                <select name="ot_applicable" class="form-select" id="">
                                                    <option value=""></option>
                                                    @php
                                                        $ot_applicable_yes= "";
                                                        $ot_applicable_no= "";
                                                        if(isset($job_details->ot_applicable) and $job_details->ot_applicable == "yes"){
                                                            $ot_applicable_yes = "selected";
                                                        }elseif(isset($job_details->ot_applicable) and $job_details->ot_applicable == "no"){
                                                            $ot_applicable_no = "selected";
                                                        }
                                                    @endphp
                                                    <option value="yes" {{$ot_applicable_yes}}>Yes</option>
                                                    <option value="no" {{$ot_applicable_no}}>No</option>
                                                </select>
                                                @error('ot_applicable')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>

                                        </div>

                                    </form>

                                </div>
                                <hr>
                            @endif
                            @if($key == 4 or $key ==0)
                                <div class="statutory_benefit_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Statutory Benefit Details
                                            <i class="fa fa-edit fw-bold statutory_benefit_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("statutory-benefit-info-store")}}" method="post">
                                        @csrf

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field"
                                                       value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Opted Benefit</label>
                                                <select name="opted_benefit" class="form-select" id="">
                                                    <option value=""></option>
                                                    @php
                                                        $opted_yes= "";
                                                        $opted_no= "";
                                                        if(isset($statutory_details->opted_benefit) and $statutory_details->opted_benefit == "yes"){
                                                            $opted_yes = "selected";
                                                        }elseif(isset($statutory_details->opted_benefit) and $statutory_details->opted_benefit == "no"){
                                                            $opted_no = "selected";
                                                        }
                                                    @endphp
                                                    <option value="yes" {{$opted_yes}}>Yes</option>
                                                    <option value="no" {{$opted_no}}>No</option>
                                                </select>
                                                @error('opted_benefit')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">PF Number</label>
                                                <input type="text" name="pf_no" class="form-control"
                                                       value="{{(isset($statutory_details->pf_no)) ? $statutory_details->pf_no : old("pf_no")}}">
                                                @error('pf_no')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">UAN Number</label>
                                                <input type="text" name="uan_no" class="form-control"
                                                       value="{{(isset($statutory_details->uan_no)) ? $statutory_details->uan_no : old("uan_no")}}">
                                                @error('uan_no')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">ESI Number</label>
                                                <input type="text" name="esi_no" class="form-control"
                                                       value="{{(isset($statutory_details->esi_no)) ? $statutory_details->esi_no : old("esi_no")}}">
                                                @error('esi_no')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>

                                        </div>

                                    </form>

                                </div>
                                <hr>
                            @endif

                            @if($key == 5 or $key ==0)
                                <div class="education_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Education Details
                                            <i class="fa fa-edit fw-bold education_details_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("education-info-store")}}" method="post"
                                          enctype="multipart/form-data">
                                        @csrf

                                        <div class="col-sm-12  manually_add_con">
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                           size="10">
                                                    <input type="text" class="edit_field d-none" name="edit_field"
                                                           value=""
                                                           size="10">
                                                </div>

                                                <div class="col-sm-12">

                                                    <table class="table table-bordered m-2">
                                                        <tbody>
                                                        @foreach($education_details as $e)
                                                            <td class="border border-1"
                                                                style="margin: 0;padding: 0px 10px 0px 10px">
                                                                <div class="d-flex justify-content-between">

                                                                    <div>{{$e->qualification}} </div>
                                                                    <div>
                                                                        <i class="icofont icofont-close text-danger fw-bold delete_education_document_btn"
                                                                           data-id="{{$e->id}}"></i></div>
                                                                </div>
                                                                <div class="d-flex ">
                                                                    <a class="text-dark" target="_blank"
                                                                       href="{{route("show-pdf" , ["key"=>1 ,"pdf_name"=>$e->upload_document])}}">
                                                                        <i class="fs-5 fa fa-eye "></i>

                                                                    </a>
                                                                    <a class="text-dark"
                                                                       href="{{url('assets/images/user_identity_documents/'.$e->upload_document)}}"
                                                                       download="">
                                                                        <i class="fs-5 fa fa-download m-l-5"></i>
                                                                    </a>

                                                                    <i class="fs-5 fa fa-check-square text-success m-l-5"></i>
                                                                </div>

                                                            </td>
                                                        @endforeach
                                                        </tbody>
                                                    </table>
                                                </div>

                                                <div class="col-sm-12 ">
                                                    <div class="text-end">
                                                        <button class=" btn btn-primary add_more_qualification">Add
                                                            More
                                                        </button>
                                                    </div>
                                                    <div class="row border border-dark p-2">
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> Qualification</label>
                                                            <input class="form-control" type="text"
                                                                   name="qualification[]" required>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> From </label>
                                                            <input class="form-control" type="date"
                                                                   name="from[]" required>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> to </label>
                                                            <input class="form-control" type="date"
                                                                   name="to[]" required>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> Institute </label>
                                                            <input class="form-control" type="text"
                                                                   name="institute[]" required>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> Grade </label>
                                                            <input class="form-control" type="text"
                                                                   name="grade[]" required>
                                                        </div>
                                                        <div class="col-sm-2">
                                                            <label class="form-label">Qualification Area </label>
                                                            <select class="form-select" name="qualification_area[]"
                                                                    required>
                                                                <option>Select</option>
                                                                <option value="Computer Science">Computer Science
                                                                </option>
                                                                <option value="Electrical">Electrical</option>
                                                            </select>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> Remark </label>
                                                            <input class="form-control" type="text"
                                                                   name="remark[]">
                                                        </div>
                                                        <div class="col-sm-4">
                                                            <label for="" class="form-label"> Upload Document </label>
                                                            <input class="form-control" type="file"
                                                                   name="education_document[]" required>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        <div class="col-sm-12 mt-2">
                                            <button class="btn-primary btn submit_btn">Submit</button>
                                        </div>
                                    </form>

                                </div>
                                <hr>
                            @endif

                            @if($key == 6 or $key ==0)

                                <div class="identity_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">User Financial Details
                                            <i class="fa fa-edit fw-bold identity_details_edit"></i>
                                        </h3>
                                    </div>
                                    <form action="{{route("identity-info-store")}}" method="post"
                                          enctype="multipart/form-data">
                                        @csrf

                                        <div class="row">
                                            <div class="col-sm-3 mb-5 d-none">
                                                <label for="" class="form-label">PAN Card</label>
                                                <input type="file" name="pan_card" class="form-control">
                                            </div>
                                            <div class="col-sm-12">
                                                <div class="row m-2">
                                                    @foreach($identity_details as $i)
                                                        <div class="col-sm-3 border border-1"
                                                             style="margin: 0;padding: 0px 10px 0px 10px">
                                                            <div class="d-flex justify-content-between"
                                                                 style="margin-top: -5px ">
                                                                <div><b>{{$i->getIdentityDocument->name}}</b>
                                                                    <br>
                                                                    <span> No : @if($bank_details->master_document_types_id == $i->master_document_types_id)
                                                                            {{$bank_details->bank_account_no}}
                                                                        @else
                                                                            {{$i->document_number}}
                                                                        @endif </span><br>
                                                                    {{$i->description}}
                                                                </div>
                                                                <div>
                                                                    <i class="icofont icofont-close text-danger fw-bold delete_identity_document_btn"
                                                                       data-id="{{$i->id}}"></i></div>
                                                            </div>
                                                            <div class="d-flex">
                                                                <a class="text-dark" target="_blank"
                                                                   href="{{route("show-pdf" , ["key"=>2 ,"pdf_name"=>$i->upload_document])}}">
                                                                    <i class="fs-5 fa fa-eye "></i>

                                                                </a>
                                                                <a class="text-dark"
                                                                   href="{{url('assets/images/user_identity_documents/'.$i->upload_document)}}"
                                                                   download="">
                                                                    <i class="fs-5 fa fa-download m-l-5"></i>
                                                                </a>

                                                                <i class="fs-5 fa fa-check-square text-success m-l-5"></i>
                                                            </div>

                                                        </div>
                                                    @endforeach
                                                </div>
                                            </div>

                                            <div class="col-sm-12">
                                                <h3 class="fw-bold d-none">Bank Details</h3>
                                                <hr>
                                                <div class="row">
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label">Bank Name</label>
                                                        <input type="text" name="bank_name" class="form-control"
                                                               required
                                                               value="{{isset($bank_details->bank_name) ? $bank_details->bank_name : old("bank_name")}}">
                                                        @error('bank_name')
                                                        <div class="text-danger fw-bold">{{ $message }}</div>
                                                        @enderror
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label">IFSC Code</label>
                                                        <input type="text" name="ifsc_code" class="form-control"
                                                               required
                                                               value="{{isset($bank_details->ifsc_code) ? $bank_details->ifsc_code : old("ifsc_code")}}">
                                                        @error('ifsc_code')
                                                        <div class="text-danger fw-bold">{{ $message }}</div>
                                                        @enderror
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label">Account Number</label>
                                                        <input type="text" name="account_no" class="form-control"
                                                               required
                                                               value="{{isset($bank_details->bank_account_no) ? $bank_details->bank_account_no : old("account_no")}}">
                                                        @error('account_no')
                                                        <div class="text-danger fw-bold">{{ $message }}</div>
                                                        @enderror
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label">Bank Document</label>
                                                        <input type="file" name="bank_document" class="form-control"
                                                        >
                                                        @error('bank_document')
                                                        <div class="text-danger fw-bold">{{ $message }}</div>
                                                        @enderror
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12  document_type_con">
                                            <div class="row ">
                                                <div class="col-sm-12 ">
                                                    <div class="text-end">
                                                        <button class=" btn btn-primary add_more_document_types">Add
                                                            More
                                                        </button>
                                                    </div>
                                                    <div class="row border border-dark p-2">
                                                        <div class="col-sm-12">
                                                            <input type="text" name="user_id" class="d-none"
                                                                   value="{{$id}}"
                                                                   size="10">
                                                            <input type="text" class="edit_field d-none"
                                                                   name="edit_field"
                                                                   value=""
                                                                   size="10">
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label"> Document Type</label>
                                                            <select name="document_type[]" id="" class="form-select">
                                                                <option value=""></option>
                                                                @foreach($document_types as $d)
                                                                    <option value="{{$d->id}}">{{$d->name}}</option>
                                                                @endforeach
                                                            </select>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label">Upload Document</label>
                                                            <input class="form-control" type="file"
                                                                   name="document_upload[]">
                                                        </div>
                                                        <div class="col-sm-2">
                                                            <label for="" class="form-label">Document Number</label>
                                                            <input class="form-control" type="text"
                                                                   name="document_no[]">
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label">Document
                                                                Description</label>
                                                            <input class="form-control" type="text"
                                                                   name="document_description[]">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-12 mt-2">
                                            <button class="btn-primary btn submit_btn">Submit</button>
                                        </div>
                                    </form>
                                </div>
                                <hr>
                            @endif
                            @if($key == 7 or $key ==0)
                                <div class="present_address_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Present Address
                                            <i class="fa fa-edit fw-bold present_address_details_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("address-contact-info-store")}}"
                                          id="present_address_details_form" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Name</label>
                                                <input type="text" name="name" class="present_name form-control"
                                                       value="{{(isset($current_address_details->name)) ? $current_address_details->name : old("name")}}">
                                                @error('name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Address</label>
                                                <input type="text" name="address" class="present_address form-control"
                                                       value="{{(isset($current_address_details->address)) ? $current_address_details->address : old("address")}}">
                                                @error('address')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">City</label>
                                                <input type="text" name="city" class="present_city form-control"
                                                       value="{{(isset($current_address_details->city)) ? $current_address_details->city : old("city")}}">
                                                @error('city')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">state</label>
                                                <input type="text" name="state" class="present_state form-control"
                                                       value="{{(isset($current_address_details->state)) ? $current_address_details->state : old("state")}}">
                                                @error('state')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Country</label>
                                                <input type="text" name="country" class="present_country form-control"
                                                       value="{{(isset($current_address_details->country)) ? $current_address_details->country : old("country")}}">
                                                @error('country')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Pincode </label>
                                                <input type="text" name="pincode" class="present_pincode form-control"
                                                       value="{{(isset($current_address_details->pincode)) ? $current_address_details->pincode : old("pincode")}}">
                                                @error('pincode')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Phone1</label>
                                                <input type="text" name="phone1" class="form-control"
                                                       value="{{(isset($current_address_details->phone1)) ? $current_address_details->phone1 : old("phone1")}}">
                                                @error('phone1')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Phone2</label>
                                                <input type="text" name="phone2" class="form-control"
                                                       value="{{(isset($current_address_details->phone2)) ? $current_address_details->phone2 : old("phone2")}}">
                                                @error('phone2')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Ext</label>
                                                <input type="text" name="ext" class="form-control"
                                                       value="{{(isset($current_address_details->ext)) ? $current_address_details->ext : old("ext")}}">
                                                @error('ext')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Fax</label>
                                                <input type="text" name="fax" class="form-control"
                                                       value="{{(isset($current_address_details->fax)) ? $current_address_details->fax : old("fax")}}">
                                                @error('fax')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Email</label>
                                                <input type="text" name="email" class="form-control"
                                                       value="{{(isset($current_address_details->email)) ? $current_address_details->email : old("email")}}">
                                                @error('email')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">address status</label>
                                                <input type="text" name="address_status" value="1" class="form-control">
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>

                                        </div>
                                    </form>

                                </div>
                                <hr>

                                <div class="permanent_address_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Permanent Address
                                            <i class="fa fa-edit fw-bold permanent_address_details_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("address-contact-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12" style="margin-top:-15px;">
                                                <div class="col-sm-12 mt-3">
                                                    <div class="form-check-size">
                                                        <div class="form-check form-switch form-check-inline">
                                                            <label class="m-l-10">Present Address As Permanent
                                                                Address</label>
                                                            <input
                                                                class="present_to_permanent_address_btn form-check-input switch-primary check-size"
                                                                name="status"
                                                                type="checkbox" role="switch">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Name</label>
                                                <input type="text" name="name" class="form-control permanent_name"
                                                       value="{{(isset($permanent_address_details->name)) ? $permanent_address_details->name : old("name")}}">
                                                @error('name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Address</label>
                                                <input type="text" name="address" class="permanent_address form-control"
                                                       value="{{(isset($permanent_address_details->address)) ? $permanent_address_details->address : old("address")}}">
                                                @error('address')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">City</label>
                                                <input type="text" name="city" class="permanent_city form-control"
                                                       value="{{(isset($permanent_address_details->city)) ? $permanent_address_details->city : old("city")}}">
                                                @error('city')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">state</label>
                                                <input type="text" name="state" class="permanent_state form-control"
                                                       value="{{(isset($permanent_address_details->state)) ? $permanent_address_details->state : old("state")}}">
                                                @error('state')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Country</label>
                                                <input type="text" name="country" class="permanent_country form-control"
                                                       value="{{(isset($permanent_address_details->country)) ? $permanent_address_details->country : old("country")}}">
                                                @error('country')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Pincode </label>
                                                <input type="text" name="pincode" class="permanent_pincode form-control"
                                                       value="{{(isset($permanent_address_details->pincode)) ? $permanent_address_details->pincode : old("pincode")}}">
                                                @error('pincode')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Phone1</label>
                                                <input type="text" name="phone1" class="permanent_phone1 form-control"
                                                       value="{{(isset($permanent_address_details->phone1)) ? $permanent_address_details->phone1 : old("phone1")}}">
                                                @error('phone1')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Phone2</label>
                                                <input type="text" name="phone2"
                                                       class="permanent_phone2    form-control"
                                                       value="{{(isset($permanent_address_details->phone2)) ? $permanent_address_details->phone2 : old("phone2")}}">
                                                @error('phone2')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Ext</label>
                                                <input type="text" name="ext" class="form-control"
                                                       value="{{(isset($permanent_address_details->ext)) ? $permanent_address_details->ext : old("ext")}}">
                                                @error('ext')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Fax</label>
                                                <input type="text" name="fax" class="form-control"
                                                       value="{{(isset($permanent_address_details->fax)) ? $permanent_address_details->fax : old("fax")}}">
                                                @error('fax')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-3 d-none">
                                                <label for="">Email</label>
                                                <input type="text" name="email" class="form-control"
                                                       value="{{(isset($permanent_address_details->email)) ? $permanent_address_details->email : old("email")}}">
                                                @error('email')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">address status</label>
                                                <input type="text" name="address_status" value="2" class="form-control">
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                            {{--yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy--}}
                                        </div>
                                    </form>

                                </div>
                                <hr>
                            @endif


                            @if($key == 8 or $key ==0)

                                <div class="emergency_details_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Emergency Details
                                            <i class="fa fa-edit fw-bold emergency_details_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("emergency-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>

                                            <div class="col-sm-3">
                                                <label for="">Name</label>
                                                <input type="text" name="relative_name"
                                                       class="form-control relative_name"
                                                       value="{{(isset($emergency_details->name)) ? $emergency_details->name : old("relative_name")}}">
                                                @error('relative_name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Relation</label>
                                                <input type="text" name="relation" class="form-control"
                                                       value="{{(isset($emergency_details->relation)) ? $emergency_details->relation : old("relation")}}">
                                                @error('relation')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-6">
                                                <label for="">Contact</label>
                                                <input type="text" name="contact" class="form-control"
                                                       value="{{(isset($emergency_details->mobile_no)) ? $emergency_details->mobile_no : old("contact")}}">
                                                @error('contact')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <hr>
                            @endif

                            @if($key == 8 or $key ==0)

                                <div class="background_verification_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Background Verification
                                            <i class="fa fa-edit fw-bold background_verification_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("background-verification-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3 d-none">
                                                <label for="">Verification Status </label>
                                                <select name="verification_status" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($verifications as $v)
                                                        <option value="{{$v->id}}"
                                                                @if(isset($user_details->master_verifications_id) and $user_details->master_verifications_id == $v->id) selected @endif>{{$v->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('verification_status')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Verification Completed On</label>
                                                <input type="date" name="verification_date" class="form-control"
                                                       value="{{(isset($user_details->verification_completed_on)) ? $user_details->verification_completed_on : old("verification_date")}}">
                                                @error('verification_date')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-9">
                                                <label for="">Agency Name</label>
                                                <input type="text" name="agency_name" class="form-control"
                                                       value="{{(isset($user_details->agency_name)) ? $user_details->agency_name : old("agency_name")}}">
                                                @error('agency_name')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12">
                                                <label for="">Remarks</label>
                                                <br>
                                                <textarea name="remark" id="" cols="100"
                                                          rows="5">{{(isset($user_details->remark)) ? $user_details->remark : old("remark")}}</textarea>
                                                @error('remark')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                                <hr>
                            @endif

                            @if($key == 9 or $key ==0)

                                <div class="holiday_shift_con mt-2">
                                    <div class="bg-primary p-2 txt-light">
                                        <h3 class="text-light">Holiday & Shift
                                            <i class="fa fa-edit fw-bold holiday_shift_edit"></i>
                                        </h3>
                                    </div>
                                    <hr>
                                    <form action="{{route("holiday-shift-info-store")}}" method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <input type="text" name="user_id" class="d-none" value="{{$id}}"
                                                       size="10">
                                                <input type="text" class="edit_field d-none" name="edit_field" value=""
                                                       size="10">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Holiday Group </label>
                                                <select name="holiday_group" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($holiday_group as $h)
                                                        <option value="{{$h->id}}"
                                                                @if(isset($job_details->holiday_group_id) and $job_details->holiday_group_id == $h->id) selected @endif>{{$h->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('holiday_group')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="">Shift</label>
                                                <select name="shift" class="form-select" id="">
                                                    <option value=""></option>
                                                    @foreach($master_shifts as $m)
                                                        <option value="{{$m->id}}"
                                                                @if(isset($job_details->master_shifts_id) and $job_details->master_shifts_id == $m->id) selected @endif>{{$m->name}}</option>
                                                    @endforeach
                                                </select>
                                                @error('shift')
                                                <div class="text-danger fw-bold">{{$message}}</div>
                                                @enderror
                                            </div>

                                            <div class="col-sm-12 mt-2">
                                                <button class="btn-primary btn submit_btn">Submit</button>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            @endif

                        </div>

                    </div>
                </div>
            </div>
        </div>


    </div>
@endsection
{{--@include("")--}}
@section("scripts")
    @include("master.notification_show_hide")
    <script>
        $(document).ready(function () {
            $("#users").select2({
                width: "100%",
                dropdownParent: $("#users").parent("div"),
                placeholder: "Select Users",
            })
            $("#reporting_to").select2({
                width: "100%",
                dropdownParent: $("#reporting_to").parent("div"),
                placeholder: "Select Users",
            })

            $(".different_address").change(function () {
                $(".current_address").prop("checked", false);
            });

            $(".current_address").change(function () {
                $(".different_address").prop("checked", false);
            });

            $("#marital_status").change(function () {
                let status = $(this).val();
                if (status == 1) {
                    $("#marriage_date").closest("div").removeClass("d-none")
                    $("#spouse_name").closest("div").removeClass("d-none")
                } else {
                    $("#marriage_date").closest("div").addClass("d-none")
                    $("#spouse_name").closest("div").addClass("d-none")

                }
            })


            if ($(".main_user_id").val() != "") {
                $(".all_form_con input ").attr("disabled", "true");
                $(" .all_form_con select").attr("disabled", "true");
                $(" .all_form_con button").attr("disabled", "true");
            }
            let c1 = 0;
            $(".basic_info_edit").click(function (e) {
                e.preventDefault()
                edit_change("basic_info_con");
            });

            $(".personal_info_edit").click(function (e) {
                e.preventDefault()
                edit_change("personal_info_con");
            });

            $(".joining_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("joining_details_con");
            });


            $(".current_position_edit").click(function (e) {
                e.preventDefault()
                edit_change("current_position_con");
            });
            $(".statutory_benefit_edit").click(function (e) {
                e.preventDefault()
                edit_change("statutory_benefit_con");
            });

            $(".education_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("education_details_con");
            });

            $(".identity_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("identity_details_con");
            });

            $(".present_address_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("present_address_details_con");
            });

            $(".permanent_address_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("permanent_address_details_con");
            });

            $(".emergency_details_edit").click(function (e) {
                e.preventDefault()
                edit_change("emergency_details_con");
            });

            $(".background_verification_edit").click(function (e) {
                e.preventDefault()
                edit_change("background_verification_con");
            });
            $(".holiday_shift_edit").click(function (e) {
                e.preventDefault()
                edit_change("holiday_shift_con");
            });

            let c = 0;

            function edit_change(className) {
                c++
                if (c == 1) {
                    c++;
                    $(`.${className} .edit_field`).val(1);
                    $(`.${className} input `).removeAttr("disabled");
                    $(`.${className} select `).removeAttr("disabled");
                    $(`.${className} button`).removeAttr("disabled");
                } else {
                    $(`.${className} .edit_field`).val("");
                    $(`.${className} input `).attr("disabled", "true");
                    $(`.${className} select `).attr("disabled", "true");
                    $(`.${className} button `).attr("disabled", "true");
                    c = 0;
                }
                $(`.${className} .submit_btn`).text("save Changes")

            }

            $(".add_more_qualification").click(function (e) {
                e.preventDefault();


                let html = `
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> Qualification</label>
                                                        <input class="form-control" type="text" name="qualification[]" required>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> From </label>
                                                        <input class="form-control" type="date"
                                                               name="from[]" required>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> to </label>
                                                        <input class="form-control" type="date"
                                                               name="to[]" required>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> Institute </label>
                                                        <input class="form-control" type="text"
                                                               name="institute[]" required>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> Grade </label>
                                                        <input class="form-control" type="text"
                                                               name="grade[]" required>
                                                    </div>
                                                    <div class="col-sm-2">
                                                        <label class="form-label">Qualification Area </label>
                                                        <select class="form-select" name="qualification_area[]" required>
                                                            <option>Select</option>
                                                           <option value="Computer Science">Computer Science</option>
                                                            <option value="Electrical">Electrical</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> Remark </label>
                                                        <input class="form-control" type="text"
                                                               name="remark[]">
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <label for="" class="form-label"> Upload Document </label>
                                                        <input class="form-control" type="file"
                                                               name="education_document[]" required>
                                                    </div>
                                                     <div class="col-sm-1 mt-2">
                                                        <br>
                                                                        <button class="btn btn-danger remove_btn">X</button>
                                                     </div>
                `;
                let row = $("<div>", {
                    class: "row mt-4 border border-dark p-2",
                    html,
                }).appendTo(".manually_add_con")
                $(".manually_add_con").find(".remove_btn").unbind("click");
                $(".manually_add_con").find(".remove_btn").click(function (e) {
                    e.preventDefault();
                    $(this).closest(".row").remove();
                })

            })

            $(".add_more_document_types").click(function (e) {
                e.preventDefault();
                let html = `
                 <div class="col-sm-3">
                                                    <label for="" class="form-label"> Document Type</label>
                                                    <select name="document_type[]" id="" class="form-select">
                                                        <option value=""></option>
                                                        @foreach($document_types as $d)
                <option value="{{$d->id}}">{{$d->name}}</option>
                                                        @endforeach
                </select>
            </div>
           <div class="col-sm-3">
                                                    <label for="" class="form-label">Upload Document</label>
                                                    <input class="form-control" type="file"
                                                           name="document_upload[]">
                                                </div>

                                                        <div class="col-sm-2">
                                                            <label for="" class="form-label">Document Number</label>
                                                            <input class="form-control" type="text"
                                                                   name="document_no[]">
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <label for="" class="form-label">Document Description</label>
                                                            <input class="form-control" type="text"
                                                                   name="document_description[]">
                                                        </div>
             <div class="col-sm-1 mt-3">
                 <br>
                 <button class="btn btn-danger remove_document_type_btn">X</button>
                                                     </div>

`;
                let row = $("<div>", {
                    class: "row mt-4 border border-dark p-2",
                    html,
                }).appendTo(".document_type_con")
                $(".document_type_con").find(".remove_document_type_btn").unbind("click");
                $(".document_type_con").find(".remove_document_type_btn").click(function (e) {
                    e.preventDefault();
                    $(this).closest(".row").remove();
                })

            })

            $(".delete_identity_document_btn").click(function (e) {
                e.preventDefault();
                const id = $(this).data("id");
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{{route('delete-identity-documents')}}",
                            type: "POST",
                            data: {
                                "_token": "{{ csrf_token() }}", // Add the CSRF token to the data
                                "id": id
                            },
                            success: function (data) {
                                console.log(data);
                                if (data.response == 1) {
                                    Swal.fire(
                                        'Deleted!',
                                        'Your file has been deleted.',
                                        'success'
                                    )
                                    location.reload();
                                } else {
                                    Swal.fire({
                                        icon: 'error',
                                        title: 'Oops...',
                                        text: 'Something went wrong!',
                                    })
                                }
                            }
                        })

                    }
                })

            })


            $(".delete_education_document_btn").click(function (e) {
                e.preventDefault();
                const id = $(this).data("id");

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{{route('delete-education-documents')}}",
                            type: "POST",
                            data: {
                                "_token": "{{ csrf_token() }}", // Add the CSRF token to the data
                                "id": id
                            },
                            success: function (data) {
                                console.log(data);
                                if (data.response == 1) {
                                    Swal.fire(
                                        'Deleted!',
                                        'Your file has been deleted.',
                                        'success'
                                    )
                                    location.reload();
                                } else {
                                    Swal.fire({
                                        icon: 'error',
                                        title: 'Oops...',
                                        text: 'Something went wrong!',
                                    })
                                }
                            }
                        })

                    }
                })

            })


            $(".present_to_permanent_address_btn").change(function () {
                // let formData = new FormData(document.querySelector("#present_address_details_form"));
                // let dataObj = {};
                // for (var [key, value] of formData.entries()) {
                //     dataObj[key] = value;
                // }

                let dataObj = {
                    "name": $(".present_address_details_con").find(".present_name").val(),
                    "address": $(".present_address_details_con").find(".present_address").val(),
                    "city": $(".present_address_details_con").find(".present_city").val(),
                    "state": $(".present_address_details_con").find(".present_state").val(),
                    "country": $(".present_address_details_con").find(".present_country").val(),
                    "pincode": $(".present_address_details_con").find(".present_pincode").val(),
                }

                $(".permanent_address_details_con").find(".permanent_name").val(dataObj.name)
                $(".permanent_address_details_con").find(".permanent_address").val(dataObj.address)
                $(".permanent_address_details_con").find(".permanent_city").val(dataObj.city)
                $(".permanent_address_details_con").find(".permanent_country").val(dataObj.country)
                $(".permanent_address_details_con").find(".permanent_state").val(dataObj.state)
                $(".permanent_address_details_con").find(".permanent_pincode").val(dataObj.pincode)
            })
        })
    </script>

@endsection
