@extends("template.layouts.simple.master")
@section('content')
    <div class="page-body">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-header">
                            <form action="{{route("users-searching-for-education")}}" method="post">
                                @csrf
                                <div class="row">
                                    <div class="col-sm-3">
                                        <label for="">Select User</label>
                                        <select name="users" id="users" class="form-select">
                                            <option value=""></option>
                                            @foreach($users as $u)
                                                <option value="{{$u->id}}"
                                                        @if($id == $u->id) selected @endif>{{$u->name}}
                                                    ({{$u->code}})
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-sm-1 mt-4">
                                        <button class="btn-primary btn "
                                                style="margin-top: 4px;padding: 14px 15px 12px 15px">
                                            Search
                                        </button>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
                @foreach($education_data as $e)
                    <div class="col-xl-3 col-sm-6">
                        <div class="card">
                            <div class="card-body student-4">
                                <h4 class="text-end "><i
                                        class="icofont icofont-close text-danger fw-bold delete_education_document_btn"
                                        data-id="{{$e->id}}"></i></h4>

                                <div class="d-flex gap-2 align-items-end">

                                    <div class="flex-grow-1">
                                        <h2>{{$e->qualification}}</h2>
                                        <p class="mb-0 text-truncate">
                                            <a class="" target="_blank"
                                               href="{{route("show-pdf" , ["key"=>1 ,"pdf_name"=>$e->upload_document])}}">
                                                <button class=" p-2 text-white btn-primary">

                                                    <i class="fs-5 fa fa-eye"></i>
                                                </button>
                                            </a>

                                            <a class="text-white"  target="_blank"
                                               href="{{url('assets/images/education_documents/'.$e->upload_document)}}"
                                               download="">
                                                <button class=" p-2 text-white btn-primary">
                                                    <i class="fs-5 fa fa-download"></i>
                                                </button>
                                            </a>

                                        </p>
                                        <div class="d-flex student-arrow text-truncate">
                                            <p class="mb-0 up-arrow bg-light-danger"><i
                                                    class="icon-arrow-down font-danger"></i></p><span
                                                class="f-w-500 font-danger">- 15.02%</span>than last 5 Month
                                        </div>
                                    </div>
                                    <div class="flex-shrink-0"><img
                                            src="{{url('assets/images/dashboard-4/icon/invoice.png')}}" alt=""></div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach

            </div>
        </div>
        @include("master.notification")
    </div>
@endsection
{{--@include("")--}}
@section("scripts")
    @include("master.notification_show_hide")
    <script>
        $(document).ready(function () {

            $("#users").select2({
                width: "100%",
                dropdownParent: $("#users").parent("div"),
                placeholder: "Select Users",
            })

            $(".delete_education_document_btn").click(function (e) {
                e.preventDefault();
                const id = $(this).data("id");

                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{{route('delete-education-documents')}}",
                            type: "POST",
                            data: {
                                "_token": "{{ csrf_token() }}", // Add the CSRF token to the data
                                "id": id
                            },
                            success: function (data) {
                                console.log(data);
                                if (data.response == 1) {
                                    Swal.fire(
                                        'Deleted!',
                                        'Your file has been deleted.',
                                        'success'
                                    )
                                    location.reload();
                                } else {
                                    Swal.fire({
                                        icon: 'error',
                                        title: 'Oops...',
                                        text: 'Something went wrong!',
                                    })
                                }
                            }
                        })

                    }
                })

            })
        })
    </script>

@endsection
